[ipxe-devel] [PATCH 2/4] [virtio] Remove virtio 1.0 workaround for old QEMU

Gerd Hoffmann kraxel at redhat.com
Mon Dec 19 16:49:25 GMT 2016


On Mo, 2016-12-19 at 17:03 +0100, Ladi Prosek wrote:
> On Mon, Dec 19, 2016 at 3:54 PM, Stefan Hajnoczi <stefanha at redhat.com> wrote:
> > On Fri, Dec 16, 2016 at 03:30:03PM +0100, Ladi Prosek wrote:
> >> QEMU properly reverts queue_enable to 0 on device reset as of:
> >>
> >>   commit 75fd6f13af8513f1e14add754549141e415f8704
> >>   Author: Gerd Hoffmann <kraxel at redhat.com>
> >>   Date:   Thu Jan 28 16:08:07 2016 +0100
> >>
> >>   virtio-pci: call pci reset variant when guest requests reset.
> >
> > What about new iPXE on old QEMU?
> 
> I don't have a good sense of what new-old dependencies are acceptable.

I'd leave the workaround in for now.  It takes some time until qemu
releases tickle into distributions, and not every user runs the latest
distro release.

> Obviously we don't want to break users of older QEMU. But leaving the
> iPXE code commented out and referencing a QEMU bug forever would be
> lame also.

How about updating the comment?  Something along the lines "qemu
versions older than 2.x (released 2016-mm-dd) ..."

cheers,
  Gerd



More information about the ipxe-devel mailing list